
Foreman - Refactor #19896

Fix Rubocop: Style/RedundantSelf

06/04/2017 09:56 AM - Tomer Brisker

Status: Closed   

Priority: Normal   

Assignee:    

Category: Development tools   

Target version:    

Difficulty:  Fixed in Releases: 2.1.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/7515

  

Description

For more info see https://rubocop.readthedocs.io/en/latest/cops_style/#styleredundantself

Related issues:

Related to Foreman - Refactor #22058: Rubocop Tracker Issue New

Related to Smart Proxy - Refactor #29430: Fix Rubocops like in core Closed

Associated revisions

Revision c86ed9c6 - 03/18/2020 09:11 AM - Michael Moll 

Fixes #19896 - Fix Style/RedundantSelf cop

History

#1 - 12/21/2017 08:30 PM - Anonymous

- Related to Refactor #22058: Rubocop Tracker Issue added

#2 - 12/10/2018 12:57 PM - Tomer Brisker

- Category set to Development tools

#3 - 03/14/2020 08:50 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Anonymous

- Pull request https://github.com/theforeman/foreman/pull/7515 added

#4 - 03/18/2020 09:11 AM - The Foreman Bot

- Fixed in Releases 2.1.0 added

#5 - 03/18/2020 10:01 AM - Anonymous

- Status changed from Ready For Testing to Closed

Applied in changeset c86ed9c68adedaaff5562ddaa6e7229ec416427d.

#6 - 03/29/2020 03:43 PM - Anonymous

- Related to Refactor #29430: Fix Rubocops like in core added
